List hosts
To list all the hosts you have ordered, send a GET request to /v1/hosts. You can specify the request using the following query parameters to adjust output.
Authorization
bearerAuth In: header
Query Parameters
| Field | Details |
|---|---|
search_pattern? | stringThis pattern is used to return resources containing the parameter value in its name. |
location_id? | integerA unique identifier of a location. A request to list all the location IDs is described in the Location block. |
type? | stringValue in: A host type. It can be a |
rack_id? | stringA unique identifier of a rack where a host is deployed. |
label_selector? | stringThis parameter will filter results by labels. More details in the Labels section. |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/hosts"[ { "id": "openxlb7", "rack_id": "4zbqjrdp", "title": "title78", "location_id": 131, "location_code": "location280", "status": "active", "operational_status": "normal", "power_status": "powered_on", "configuration": "REMM R123", "private_ipv4_address": null, "public_ipv4_address": null, "lease_start_at": "2026-05-25", "scheduled_release_at": null, "type": "dedicated_server", "oob_ipv4_address": "198.29.114.3", "labels": {}, "created_at": "2026-05-28T06:56:06Z", "updated_at": "2026-05-28T06:56:06Z" }]